<form method="post"
      action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=maintenance_mode&action=configuration">
    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <tr>
                <td class="fieldlabel">{$lang['Enabled']}</td>
                <td class="fieldarea">
                        <select name="enabled" class="form-control select-inline">
                        <option value=""
                                {if $config['enabled'] eq ""}selected {/if}>{$lang['NO']}</option>
                        <option value="on"
                                {if $config['enabled'] eq "on"}selected {/if}>{$lang['YES']}</option>
                    </select></td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Enabled the Maintenance Mode']}</td>
                <td class="fieldarea"><label class="checkbox-inline">
                        <input {if $config['enabled_the_maintenance_mode'] eq "on" } checked {/if} type="checkbox"
                                                                                                   name="enabled_the_maintenance_mode"
                                                                                                   value="on">
                        {$lang['Tick this box to enable the maintenance mode']}
                    </label></td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Deny access to admins']}</td>
                <td class="fieldarea"><label class="checkbox-inline">
                        <input {if $config['access_denied_for_admin'] eq "on" } checked {/if} type="checkbox"
                                                                                              name="access_denied_for_admin"
                                                                                              value="on">
                        {$lang['Tick this box to deny access to admins']}
                    </label></td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Admins Access List']}</td>
                <td class="fieldarea">
                    <div class="row">
                        <div class="col-xs-5">
                            <label for="multi-select">{$lang['Allowed']}</label>
                            <select name="admins_acl[]" id="multi-select" class="form-control" size="8"
                                                                      multiple="multiple">
                                {foreach $config['admins_acl'] as $admin} {
                                    <option value="{$admin}">
                                        {foreach $admins_list as $key => $value}
                                            {if $value['id'] eq $admin}
                                                {$value['id']} - {$value['username']} ({$value['firstname']} {$value['lastname']})
                                            {/if}
                                        {/foreach}
                                    </option>
                                {/foreach}</select>
                        </div>
                        <div class="col-xs-2" style="text-align: center">
                            <input type="button" style="width: 50%" id="left-btn" value="<"><br>
                            <input type="button" style="width: 50%" id="right-btn" value=">"><br>
                            <input type="button" style="width: 50%" id="all-left-btn" value="<<">
                        </div>
                        <div class="col-xs-5">
                            <label for="multi-select">{$lang['Denied']}</label>
                            <select id="selected-items" class="form-control" size="8" multiple="multiple">
                                {foreach $admins_deny as $admin_deny} {
                                    <option value="{$admin_deny}">
                                        {foreach $admins_list as $key => $value}
                                            {if $value['id'] eq $admin_deny}
                                                {$value['id']} - {$value['username']} ({$value['firstname']} {$value['lastname']})
                                            {/if}
                                        {/foreach}
                                    </option>
                                {/foreach}
                            </select>
                        </div>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Use default Redirect URL']}</td>
                <td class="fieldarea"><label class="checkbox-inline">
                        <input {if $config['use_default_redirect_url'] eq "on" } checked {/if} type="checkbox"
                                                                                              name="use_default_redirect_url"
                                                                                              value="on">
                        {$lang['Tick this box to use the default redirect URL']}
                    </label></td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Your Redirect URL']}</td>
                <td class="fieldarea">
                    <input type="text" name="your_redirect_url" value="{$config['your_redirect_url']}"
                           class="form-control input-inline input-300">
                    {$lang['Enter your redirect URL or leave blank for none']}
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Template']}</td>
                <td class="fieldarea">
                    <select name="template_for_page" class="form-control select-inline">
                        <option value="puq"
                                {if $config['template_for_page'] eq "puq"}selected {/if}>{$lang['PUQ']}</option>
                        <option value="basic"
                                {if $config['template_for_page'] eq "basic"}selected {/if}>{$lang['Basic']}</option>
                        <option value="columns"
                                {if $config['template_for_page'] eq "columns"}selected {/if}>{$lang['Columns']}</option>
                        <option value="custom"
                                {if $config['template_for_page'] eq "custom"}selected {/if}>{$lang['Custom']}</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Background image']}</td>
                <td class="fieldarea">
                    <input type="text" name="template_background_image" value="{$config['template_background_image']}"
                           class="form-control input-inline input-300">
                    {$lang['Enter link of background image to display on page or leave blank for default image']}
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Use system default logo']}</td>
                <td class="fieldarea"><label class="checkbox-inline">
                        <input {if $config['use_system_default_logo'] eq "on" } checked {/if} type="checkbox"
                                                                                                   name="use_system_default_logo"
                                                                                                   value="on">
                        {$lang['Tick this box to use the default system logo']}
                    </label></td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Logo URL']}</td>
                <td class="fieldarea">
                    <input type="text" name="your_logo" value="{$config['your_logo']}"
                           class="form-control input-inline input-300">
                    {$lang['Enter your logo URL to display on page or leave blank for none']}
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Page title']}</td>
                <td class="fieldarea">
                    <input type="text" name="page_title_default" value="{$config['page_title_default']}"
                           class="form-control input-inline input-300">
                    {$lang['Write the title of the Maintenance Mode']}
                    <div class="form-group">
                        <details>
                            <summary type="button" class="btn btn-primary">
                                <i class="fa fa-language"></i>&nbsp;&nbsp;{$lang['Show all languages']}&nbsp;&nbsp;<i
                                        class="fa fa-angle-double-down"></i>
                            </summary>
                            <table class="form">
                                {foreach $languages_list as $language}
                                    <tr>
                                        <td class="fieldlabel">{$language|capitalize}</td>
                                        <td class="fieldarea" style="width: 250px;"><input type="text"
                                                                                           name="page_title[{$language}]"{if $config['page_title'][$language]} value="{$config['page_title'][$language]}" {/if}
                                                                                           class="form-control input-inline input-300">
                                        <td>
                                    </tr>
                                {/foreach}
                            </table>
                        </details>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Page text']}</td>
                <td class="fieldarea">
                    <input type="text" name="page_text_default" value="{$config['page_text_default']}"
                           class="form-control input-inline input-300">
                    {$lang['Write Maintenance Mode message here']}
                    <div class="form-group">
                        <details>
                            <summary type="button" class="btn btn-primary">
                                <i class="fa fa-language"></i>&nbsp;&nbsp;{$lang['Show all languages']}&nbsp;&nbsp;<i
                                        class="fa fa-angle-double-down"></i>
                            </summary>
                            <table class="form">
                                {foreach $languages_list as $language}
                                    <tr>
                                        <td class="fieldlabel">{$language|capitalize}</td>
                                        <td class="fieldarea" style="width: 250px;"><input type="text"
                                                                                           name="page_text[{$language}]"{if $config['page_text'][$language]} value="{$config['page_text'][$language]}" {/if}
                                                                                           class="form-control input-inline input-300">
                                        <td>
                                    </tr>
                                {/foreach}
                            </table>
                        </details>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Enable Time Counter']}</td>
                <td class="fieldarea"><label class="checkbox-inline">
                        <input {if $config['enabled_time_counter'] eq "on" } checked {/if} type="checkbox"
                                                                                           name="enabled_time_counter"
                                                                                           value="on">
                        {$lang['Tick this box to enable time counter']}
                    </label></td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['End date']}</td>
                <td class="fieldarea">
                    <div class="form-group">
                        <input id="inputDate" type="datetime-local" name="time_counter" value="{$config['time_counter']}"
                               class="form-control input-200">{$lang['Choose an end date']}
                    </div>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Time Counter end text']}</td>
                <td class="fieldarea">
                    <input type="text" name="time_counter_end_text_default"
                           value="{$config['time_counter_end_text_default']}"
                           class="form-control input-inline input-300">
                    {$lang['Time Counter end text']}
                    <div class="form-group">
                        <details>
                            <summary type="button" class="btn btn-primary">
                                <i class="fa fa-language"></i>&nbsp;&nbsp;{$lang['Show all languages']}&nbsp;&nbsp;<i
                                        class="fa fa-angle-double-down"></i>
                            </summary>
                            <table class="form">
                                {foreach $languages_list as $language}
                                    <tr>
                                        <td class="fieldlabel">{$language|capitalize}</td>
                                        <td class="fieldarea" style="width: 250px;"><input type="text"
                                                                                           name="time_counter_end_text[{$language}]"{if $config['time_counter_end_text'][$language]} value="{$config['time_counter_end_text'][$language]}" {/if}
                                                                                           class="form-control input-inline input-300">
                                        <td>
                                    </tr>
                                {/foreach}
                            </table>
                        </details>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>
{literal}
    <script>
        const select = document.getElementById('multi-select');
        const selectedItems = document.getElementById('selected-items');
        const leftBtn = document.getElementById('left-btn');
        const rightBtn = document.getElementById('right-btn');
        const allLeftBtn = document.getElementById('all-left-btn');
        const multiSelect = document.getElementById('multi-select');
        const submitButton = document.querySelector('button[type="submit"]');

        submitButton.addEventListener('click', () => {
            Array.from(multiSelect.options).forEach(option => {
                option.selected = true;
            });
        });

        leftBtn.addEventListener('click', moveItemToLeft);
        rightBtn.addEventListener('click', moveItemToRight);
        allLeftBtn.addEventListener('click', moveAllItemsToLeft);

        function moveItemToRight() {
            const selectedOptions = Array.from(select.selectedOptions);
            selectedOptions.forEach(option => {
                option.remove();
                selectedItems.appendChild(option);
            });
        }

        function moveItemToLeft() {
            const selectedOptions = Array.from(selectedItems.selectedOptions);

            selectedOptions.forEach(option => {
                option.remove();
                select.appendChild(option);
            });
        }

        function moveAllItemsToLeft() {
            const allOptions = Array.from(selectedItems.options);

            allOptions.forEach(option => {
                option.remove();
                select.appendChild(option);
            });
        }
    </script>
{/literal}

<pre>
    {$config|print_r}
</pre>
